---
title: "List alerts"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/alerts.list
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# List alerts

Alerts newest first (account bans, flood waits, proxy/node trouble, campaign errors).

Alerts newest first (account bans, flood waits, proxy/node trouble, campaign errors).

## Overview

| Name | Value |
| --- | --- |
| Code | `alerts.list` |
| Scope needed | `audit.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent`, `viewer` |
| In the app | Alerts |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | `"open" \| "seen" \| "resolved"` | No |   |
| `limit` | `integer` | No |   |
| `cursor` | `text` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/alerts.list \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `items` | `object[]` | Yes |
| `next_cursor` | `null \| text` | Yes |

## Example answer

```json
{
  "data": {
    "items": [
      {
        "id": "00000000-0000-4000-8000-000000000000",
        "kind": "text",
        "severity": "urgent",
        "status": "open",
        "account_id": "00000000-0000-4000-8000-000000000000",
        "node_id": "00000000-0000-4000-8000-000000000000",
        "proxy_id": "00000000-0000-4000-8000-000000000000",
        "campaign_id": "00000000-0000-4000-8000-000000000000",
        "conversation_id": "00000000-0000-4000-8000-000000000000",
        "count": 1,
        "first_at": "2026-10-22T12:00:00.000Z",
        "last_at": "2026-10-22T12:00:00.000Z",
        "meta": "text",
        "resolution": "text",
        "resolved_at": "2026-10-22T12:00:00.000Z",
        "seen_at": "2026-10-22T12:00:00.000Z"
      }
    ],
    "next_cursor": "text"
  }
}
```

## Using it over MCP

Tool `alerts_list` is listed on the profiles: Reports (`reports`). On other profiles, find it with `tools_search` and run it with `tools_run`.
